### Hierarchy

- unknown
  - Ping

## Index

### Constructors

- constructor

### Methods

- getLastRoundTripTime
- getNonce
- serializeBinary
- setLastRoundTripTime
- setNonce
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Ping(): Ping

- Inherited from jspb.Message.constructor

  #### Returns Ping

## Methods

### getLastRoundTripTime

- getLastRoundTripTime(): number

- - Defined in src/protobuf/pb_pb.d.ts:549

  #### Returns number

### getNonce

- getNonce(): number

- - Defined in src/protobuf/pb_pb.d.ts:546

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:552

  #### Returns Uint8Array

### setLastRoundTripTime

- setLastRoundTripTime(value: number): Ping

- - Defined in src/protobuf/pb_pb.d.ts:550

  #### Parameters

  - ##### value: number

  #### Returns Ping

### setNonce

- setNonce(value: number): Ping

- - Defined in src/protobuf/pb_pb.d.ts:547

  #### Parameters

  - ##### value: number

  #### Returns Ping

### toObject

- toObject(includeInstance?: boolean): Ping . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:553

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Ping . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Ping

- - Defined in src/protobuf/pb_pb.d.ts:556

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Ping

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Ping, reader: BinaryReader): Ping

- - Defined in src/protobuf/pb_pb.d.ts:557

  #### Parameters

  - ##### message: Ping

  - ##### reader: BinaryReader

  #### Returns Ping

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Ping, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:555

  #### Parameters

  - ##### message: Ping

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Ping ): Ping . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:554

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Ping

  #### Returns Ping . AsObject

Generated using TypeDoc